curl --request POST \
--url https://api.harmonyforstaffing.com/api/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true
}'
{
"id": 123,
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true,
"dateAdded": 1679253000
}
Users
Create User
Create a new user
POST
/
api
/
users
curl --request POST \
--url https://api.harmonyforstaffing.com/api/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true
}'
{
"id": 123,
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true,
"dateAdded": 1679253000
}
Create a new user in the system.
Body Parameters
string
required
First name
string
required
Last name
string
required
Email address
string
Phone number
boolean
Whether the user is active
Response
integer
The ID of the created user
integer
Unix timestamp when the user was added
curl --request POST \
--url https://api.harmonyforstaffing.com/api/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true
}'
{
"id": 123,
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"phone": "+1-555-555-5555",
"isActive": true,
"dateAdded": 1679253000
}